<a href="https://www.telerik.com/kendo-angular-ui/components/navigation" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Navigation Package

> * This package is part of the [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!

The [Kendo UI for Angular Navigation](https://www.telerik.com/kendo-angular-ui/components/navigation) package contains a set of components that provide easy and intuitive page navigation.

## What's Included in the Angular Navigation Package

The [Angular Navigation](https://www.telerik.com/kendo-angular-ui/components/navigation) package includes four built-in components:

* [Angular ActionSheet Component](https://www.telerik.com/kendo-angular-ui/components/navigation/actionsheet)&mdash;Allows you to display a predefined set of options in a modal view. It is commonly used to present choices related to an action that the user initiates.
* [Angular AppBar Component](https://www.telerik.com/kendo-angular-ui/components/navigation/appbar)&mdash;Provides information and actions related to the current application screen and is typically used as the main navigation element for a page.
* [Angular BottomNavigation Component](https://www.telerik.com/kendo-angular-ui/components/navigation/bottomnavigation)&mdash;Allows the user to navigate between primary destinations on smaller devices and is commonly used in responsive applications.
* [Angular BreadCrumb Component](https://www.telerik.com/kendo-angular-ui/components/navigation/breadcrumb)&mdash;Allows you to navigate within a folder structure or web page and provides an easy way to navigate backwards by one or multiple steps.

## Key Features

Among the many features which the Kendo UI for Angular Navigation components deliver are:

* [Items Configuration](https://www.telerik.com/kendo-angular-ui/components/navigation/actionsheet/items)&mdash;You can provide a collection of elements for the Navigation components to define their items.
* [Appearance](https://www.telerik.com/kendo-angular-ui/components/navigation/breadcrumb/item-appearance)&mdash;You can customize the appearance of the Navigation items by displaying icons or images, or by changing their colors.
* [Templates](https://www.telerik.com/kendo-angular-ui/components/navigation/actionsheet/templates)&mdash;The Navigation components also provide built-in directives that allow you to customize their appearance through templates.
* [Position Modes](https://www.telerik.com/kendo-angular-ui/components/navigation/bottomnavigation/position-mode)&mdash;The Navigation components allow you to specify their position in relation to the page content.
* [Routing](https://www.telerik.com/kendo-angular-ui/components/navigation/bottomnavigation/routing)&mdash;You can utilize [Angular Router](https://angular.dev/guide/routing) and use the components from the Kendo UI for Angular Navigation as a navigational component.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/navigation/globalization)&mdash;The included components support globalization to ensure that they can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Navigation components support rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/navigation/actionsheet/accessibility)&mdash;The Navigation components are accessible for screen readers and support WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/navigation/actionsheet/keyboard-navigation)&mdash;The Navigation components support a number of keyboard shortcuts which allow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Navigation, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Navigation](https://www.telerik.com/kendo-angular-ui/components/navigation/installation/getting-started)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
