/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef, EventEmitter, ElementRef, Renderer2, NgZone, OnDestroy, AfterViewInit } from "@angular/core";
import { ActionSheetItem, ActionSheetItemClickEvent } from './models';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ActionSheetListComponent implements AfterViewInit, OnDestroy {
    private renderer;
    private ngZone;
    element: ElementRef;
    groupItems: ActionSheetItem[];
    allItems: ActionSheetItem[];
    itemTemplate: TemplateRef<any>;
    itemClick: EventEmitter<ActionSheetItemClickEvent>;
    private subscriptions;
    constructor(renderer: Renderer2, ngZone: NgZone, element: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private initDomEvents;
    private clickHandler;
    setAttrIndex(item: ActionSheetItem): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionSheetListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActionSheetListComponent, "[kendoActionSheetList]", never, { "groupItems": { "alias": "groupItems"; "required": false; }; "allItems": { "alias": "allItems"; "required": false; }; "itemTemplate": { "alias": "itemTemplate"; "required": false; }; }, { "itemClick": "itemClick"; }, never, never, true, never>;
}
