/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./appbar/appbar.component";
import * as i2 from "./appbar/appbar-section.component";
import * as i3 from "./appbar/appbar-spacer.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the AppBar component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the AppBar module
 * import { AppBarModule } from '@progress/kendo-angular-navigation';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { BrowserModule } from '@angular/platform-browser';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, AppBarModule], // import AppBar module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class AppBarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<AppBarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AppBarModule, never, [typeof i1.AppBarComponent, typeof i2.AppBarSectionComponent, typeof i3.AppBarSpacerComponent], [typeof i1.AppBarComponent, typeof i2.AppBarSectionComponent, typeof i3.AppBarSpacerComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AppBarModule>;
}
