/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Represents the [Kendo UI AppBarSection component for Angular]({% slug contentarrangement_appbar %}#toc-sections).
 *
 * @example
 *
 * ```ts-no-run
 *  * _@Component({
 *    selector: 'my-app',
 *    template: `
 *        <kendo-appbar>
 *            <kendo-appbar-section>
 *                <h2>Page Title</h2>
 *            </kendo-appbar-section>
 *        </kendo-appbar>
 *    `
 * })
 * class AppComponent {}
 */
export declare class AppBarSectionComponent {
    hostClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppBarSectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppBarSectionComponent, "kendo-appbar-section", never, {}, {}, never, ["*"], true, never>;
}
