/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the position of the AppBar
 * ([see example]({% slug positioning_appbar %}#toc-position)).
 *
 * * The possible values are:
 * * `top` (Default)&mdash;Positions the AppBar at the top of the content.
 *    Setting the `position` property to `top` requires adding the Appbar component before the page content.
 *    The position property applies CSS `top: 0` style in [`fixed mode`]({% slug api_navigation_appbarcomponent %}#toc-positionMode) and also adds a `box-shadow` to the bottom of the AppBar.
 *
 * * `bottom`&mdash;Positions the AppBar at the bottom of the content.
 *    Setting the `position` property to `bottom` requires adding the Appbar component after the page content.
 *   The position property applies CSS `bottom: 0` style in [`fixed mode`]({% slug api_navigation_appbarcomponent %}#toc-positionMode) and also adds a `box-shadow ` to the top of the AppBar.
 *
 */
export type AppBarPosition = 'top' | 'bottom';
