/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the theme color of the AppBar
 * ([see example](slug:themecolor_appbar)).
 * The theme color will be applied as background color of the component.
 *
 *
 * * The possible values are:
 * * `light` (Default)&mdash;Applies coloring based on light theme color.
 * * `dark`&mdash;Applies coloring based on dark theme color.
 * * `inherit`&mdash; Applies inherited coloring value.
 * * `primary`&mdash; Applies primary coloring value.
 *
 */
export type AppBarThemeColor = 'inherit' | 'light' | 'dark' | 'primary';
