/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BottomNavigationItemTemplateDirective } from './templates/item-template.directive';
import { BottomNavigationItem } from './types/bottomnavigation-item';
import { BottomNavigationItemFlow } from './types/bottomnavigation-item-flow';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class BottomNavigationItemComponent {
    itemTemplate: BottomNavigationItemTemplateDirective;
    item: BottomNavigationItem;
    index: number;
    disabledComponent: boolean;
    selectedIdx: number;
    orientation: BottomNavigationItemFlow;
    get disabledClass(): boolean;
    get label(): string;
    get tabindex(): number;
    get selectedClass(): boolean;
    get itemIcon(): boolean;
    get iconClasses(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BottomNavigationItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BottomNavigationItemComponent, "[kendoBottomNavigationItem]", never, { "itemTemplate": { "alias": "itemTemplate"; "required": false; }; "item": { "alias": "item"; "required": false; }; "index": { "alias": "index"; "required": false; }; "disabledComponent": { "alias": "disabledComponent"; "required": false; }; "selectedIdx": { "alias": "selectedIdx"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; }, {}, never, never, true, never>;
}
