/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, TemplateRef, QueryList, ElementRef, NgZone, OnDestroy } from '@angular/core';
import { BreadCrumbItemModel, BreadCrumbItem } from './models/breadcrumb-item.interface';
import { BreadCrumbCollapseMode } from './models/collapse-mode';
import { BreadCrumbItemComponent } from './breadcrumb-item.component';
import { SVGIcon } from '@progress/kendo-angular-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class BreadCrumbListComponent implements OnDestroy {
    private el;
    private zone;
    items: BreadCrumbItemModel[];
    itemTemplate: TemplateRef<HTMLElement>;
    collapseMode: BreadCrumbCollapseMode;
    separatorIcon: string;
    separatorSVGIcon: SVGIcon;
    itemClick: EventEmitter<BreadCrumbItem>;
    renderedItems: QueryList<BreadCrumbItemComponent>;
    isRootItemContainer: boolean;
    private domEventsSubscription;
    constructor(el: ElementRef<HTMLOListElement>, zone: NgZone);
    ngOnDestroy(): void;
    private getItemIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadCrumbListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BreadCrumbListComponent, "[kendoBreadCrumbList]", never, { "items": { "alias": "items"; "required": false; }; "itemTemplate": { "alias": "itemTemplate"; "required": false; }; "collapseMode": { "alias": "collapseMode"; "required": false; }; "separatorIcon": { "alias": "separatorIcon"; "required": false; }; "separatorSVGIcon": { "alias": "separatorSVGIcon"; "required": false; }; }, { "itemClick": "itemClick"; }, never, never, true, never>;
}
