/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Sets the Collapse mode of the Breadcrumb.
 * The available values are:
 * - `auto`(default)&mdash;Items are automatically collapsed based on the width of the Breadcrumb. First and last item always remain visible.
 * - `wrap`&mdash;Items are wrapped on multiple rows when their total width is bigger than the width of the BreadCrumb.
 * - `none`&mdash;All items are expanded on the same row. This scenario is useful when the Breadcrumb needs to be scrolled.
 *
 * For more information and example refer to the [Collapse Modes]({% slug collapse_modes_breadcrumb %}) article.
 */
export type BreadCrumbCollapseMode = 'auto' | 'wrap' | 'none';
