/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class BreadCrumbSeparatorDirective {
    el: ElementRef<HTMLElement>;
    private localization;
    set icon(icon: string);
    get icon(): string;
    set svgIcon(svgIcon: SVGIcon);
    get svgIcon(): SVGIcon;
    ariaHidden: boolean;
    private _icon;
    private _svgIcon;
    private hasDefaultIcon;
    private hasDefaultSvgIcon;
    private direction;
    private localizationChangesSubscription;
    constructor(el: ElementRef<HTMLElement>, localization: LocalizationService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadCrumbSeparatorDirective, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BreadCrumbSeparatorDirective, "[kendoBreadCrumbSeparator]", never, { "icon": { "alias": "icon"; "required": false; }; "svgIcon": { "alias": "svgIcon"; "required": false; }; }, {}, never, never, true, never>;
}
