/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ActionSheetComponent } from "./actionsheet/actionsheet.component";
import { ActionSheetContentTemplateDirective, ActionSheetFooterTemplateDirective, ActionSheetHeaderTemplateDirective, ActionSheetItemTemplateDirective, ActionSheetTemplateDirective } from "./actionsheet/models";
import { AppBarSectionComponent } from "./appbar/appbar-section.component";
import { AppBarSpacerComponent } from "./appbar/appbar-spacer.component";
import { AppBarComponent } from "./appbar/appbar.component";
import { BottomNavigationComponent } from "./bottomnavigation/bottomnavigation.component";
import { BottomNavigationItemTemplateDirective } from "./bottomnavigation/templates/item-template.directive";
import { BreadCrumbComponent } from "./breadcrumb/breadcrumb.component";
import { BreadCrumbItemTemplateDirective } from "./breadcrumb/template-directives/item-template.directive";
/**
* Utility array that contains all `ActionSheet` related components and directives.
*/
export declare const KENDO_ACTIONSHEET: readonly [typeof ActionSheetComponent, typeof ActionSheetHeaderTemplateDirective, typeof ActionSheetItemTemplateDirective, typeof ActionSheetContentTemplateDirective, typeof ActionSheetFooterTemplateDirective, typeof ActionSheetTemplateDirective];
/**
* Utility array that contains all `AppBar` related components and directives.
*/
export declare const KENDO_APPBAR: readonly [typeof AppBarComponent, typeof AppBarSectionComponent, typeof AppBarSpacerComponent];
/**
* Utility array that contains all `BottomNavigation` related components and directives.
*/
export declare const KENDO_BOTTOMNAVIGATION: readonly [typeof BottomNavigationComponent, typeof BottomNavigationItemTemplateDirective];
/**
* Utility array that contains all `BreadCrumb` related components and directives.
*/
export declare const KENDO_BREADCRUMB: readonly [typeof BreadCrumbComponent, typeof BreadCrumbItemTemplateDirective];
/**
* Utility array that contains all `@progress/kendo-angular-navigation` related components and directives.
*/
export declare const KENDO_NAVIGATION: readonly [typeof ActionSheetComponent, typeof ActionSheetHeaderTemplateDirective, typeof ActionSheetItemTemplateDirective, typeof ActionSheetContentTemplateDirective, typeof ActionSheetFooterTemplateDirective, typeof ActionSheetTemplateDirective, typeof AppBarComponent, typeof AppBarSectionComponent, typeof AppBarSpacerComponent, typeof BottomNavigationComponent, typeof BottomNavigationItemTemplateDirective, typeof BreadCrumbComponent, typeof BreadCrumbItemTemplateDirective];
