/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../../common/preventable-event';
/**
 * Arguments for the `select` event of the BottomNavigation.
 */
export class BottomNavigationSelectEvent extends PreventableEvent {
    /**
     * The index of the selected item in the `items` collection.
     */
    index;
    /**
     * The selected BottomNavigation item.
     */
    item;
    /**
     * The DOM event that triggered the selection.
     */
    originalEvent;
    /**
     * The BottomNavigation that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        Object.assign(this, args);
    }
}
