/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ActionSheetComponent } from "./actionsheet/actionsheet.component";
import { ActionSheetContentTemplateDirective, ActionSheetFooterTemplateDirective, ActionSheetHeaderTemplateDirective, ActionSheetItemTemplateDirective, ActionSheetTemplateDirective } from "./actionsheet/models";
import { AppBarSectionComponent } from "./appbar/appbar-section.component";
import { AppBarSpacerComponent } from "./appbar/appbar-spacer.component";
import { AppBarComponent } from "./appbar/appbar.component";
import { BottomNavigationComponent } from "./bottomnavigation/bottomnavigation.component";
import { BottomNavigationItemTemplateDirective } from "./bottomnavigation/templates/item-template.directive";
import { BreadCrumbComponent } from "./breadcrumb/breadcrumb.component";
import { BreadCrumbItemTemplateDirective } from "./breadcrumb/template-directives/item-template.directive";
/**
* Utility array that contains all `ActionSheet` related components and directives.
*/
export const KENDO_ACTIONSHEET = [
    ActionSheetComponent,
    ActionSheetHeaderTemplateDirective,
    ActionSheetItemTemplateDirective,
    ActionSheetContentTemplateDirective,
    ActionSheetFooterTemplateDirective,
    ActionSheetTemplateDirective
];
/**
* Utility array that contains all `AppBar` related components and directives.
*/
export const KENDO_APPBAR = [
    AppBarComponent,
    AppBarSectionComponent,
    AppBarSpacerComponent
];
/**
* Utility array that contains all `BottomNavigation` related components and directives.
*/
export const KENDO_BOTTOMNAVIGATION = [
    BottomNavigationComponent,
    BottomNavigationItemTemplateDirective
];
/**
* Utility array that contains all `BreadCrumb` related components and directives.
*/
export const KENDO_BREADCRUMB = [
    BreadCrumbComponent,
    BreadCrumbItemTemplateDirective
];
/**
* Utility array that contains all `@progress/kendo-angular-navigation` related components and directives.
*/
export const KENDO_NAVIGATION = [
    ...KENDO_ACTIONSHEET,
    ...KENDO_APPBAR,
    ...KENDO_BOTTOMNAVIGATION,
    ...KENDO_BREADCRUMB
];
