/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./actionsheet/actionsheet.component";
import * as i2 from "./actionsheet/templates/header-template.directive";
import * as i3 from "./actionsheet/templates/item-template.directive";
import * as i4 from "./actionsheet/templates/content-template.directive";
import * as i5 from "./actionsheet/templates/footer-template.directive";
import * as i6 from "./actionsheet/templates/actionsheet-template";
import * as i7 from "./appbar/appbar.component";
import * as i8 from "./appbar/appbar-section.component";
import * as i9 from "./appbar/appbar-spacer.component";
import * as i10 from "./bottomnavigation/bottomnavigation.component";
import * as i11 from "./bottomnavigation/templates/item-template.directive";
import * as i12 from "./breadcrumb/breadcrumb.component";
import * as i13 from "./breadcrumb/template-directives/item-template.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Navigation components.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Navigation module
 * import { NavigationModule } from '@progress/kendo-angular-navigation';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, NavigationModule], // import Navigation module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class NavigationModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NavigationModule, never, [typeof i1.ActionSheetComponent, typeof i2.ActionSheetHeaderTemplateDirective, typeof i3.ActionSheetItemTemplateDirective, typeof i4.ActionSheetContentTemplateDirective, typeof i5.ActionSheetFooterTemplateDirective, typeof i6.ActionSheetTemplateDirective, typeof i7.AppBarComponent, typeof i8.AppBarSectionComponent, typeof i9.AppBarSpacerComponent, typeof i10.BottomNavigationComponent, typeof i11.BottomNavigationItemTemplateDirective, typeof i12.BreadCrumbComponent, typeof i13.BreadCrumbItemTemplateDirective], [typeof i1.ActionSheetComponent, typeof i2.ActionSheetHeaderTemplateDirective, typeof i3.ActionSheetItemTemplateDirective, typeof i4.ActionSheetContentTemplateDirective, typeof i5.ActionSheetFooterTemplateDirective, typeof i6.ActionSheetTemplateDirective, typeof i7.AppBarComponent, typeof i8.AppBarSectionComponent, typeof i9.AppBarSpacerComponent, typeof i10.BottomNavigationComponent, typeof i11.BottomNavigationItemTemplateDirective, typeof i12.BreadCrumbComponent, typeof i13.BreadCrumbItemTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NavigationModule>;
}
